%{?nodejs_find_provides_and_requires}

%global packagename stream-combiner2
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.1.1
Release: 1%{?dist}.3
Summary: This is a sequel to stream-combiner for streams3.
License: MIT
URL: https://github.com/substack/stream-combiner2
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(duplexer2) >= 0.1.0
BuildRequires: npm(duplexer2) < 0.2.0
BuildRequires: npm(readable-stream) >= 2.0.2
BuildRequires: npm(readable-stream) < 3.0.0
%if 0%{?enable_tests}
BuildRequires: npm(event-stream) >= 3.0.7
BuildRequires: npm(event-stream) < 4.0.0
BuildRequires: npm(tape) >= 2.3.0
BuildRequires: npm(through2) >= 2.0.0
BuildRequires: npm(through2) < 3.0.0
%endif

%description
This is a sequel to stream-combiner for streams3.


%prep
%setup -q -n package
%nodejs_fixdep --dev event-stream '^3.0.7'
%nodejs_fixdep --dev tape '>=2.3.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
set -e; for t in test/*.js; do %{_bindir}/node $t; done
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Sep 26 2016 Oleg Girko <ol@infoserver.lv> - 1.1.1-1
- Initial package.
